package com.sunxung.factoring.entity.project;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

/**
 * <p>
 * 项目业主方-民间借贷
 * </p>
 *
 * @author liutao
 * @since 2023-12-15
 */
@TableName("project_owner_private_lending")
public class ProjectOwnerPrivateLending  {

    private static final long serialVersionUID = 1L;

    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 项目业主方审核id
     */
    @TableField("project_audit_id")
    private Long projectAuditId;

    /**
     * sop端 裁判文书信息id
     */
    @TableField("c_judgment_documents_id")
    private Long cJudgmentDocumentsId;

    /**
     * 文书标题
     */
    @TableField("case_name")
    private String caseName;

    /**
     * 案由
     */
    @TableField("case_reason")
    private String caseReason;

    /**
     * 案号
     */
    @TableField("case_No")
    private String caseNo;

    /**
     * 案件金额（元）
     */
    @TableField("amount")
    private String amount;

    /**
     * 裁判结果
     */
    @TableField("judge_result")
    private String judgeResult;

    /**
     * 裁判日期
     */
    @TableField("judge_date")
    private String judgeDate;

    /**
     * 发布日期
     */
    @TableField("publish_date")
    private String publishDate;

    /**
     * 当事人
     */
    @TableField("party_name")
    private String partyName;

    /**
     * 是否民间借贷 0 否 1 是
     */
    @TableField("private_lending")
    private Integer privateLending;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getProjectAuditId() {
        return projectAuditId;
    }

    public void setProjectAuditId(Long projectAuditId) {
        this.projectAuditId = projectAuditId;
    }
    public Long getcJudgmentDocumentsId() {
        return cJudgmentDocumentsId;
    }

    public void setcJudgmentDocumentsId(Long cJudgmentDocumentsId) {
        this.cJudgmentDocumentsId = cJudgmentDocumentsId;
    }
    public String getCaseName() {
        return caseName;
    }

    public void setCaseName(String caseName) {
        this.caseName = caseName;
    }
    public String getCaseReason() {
        return caseReason;
    }

    public void setCaseReason(String caseReason) {
        this.caseReason = caseReason;
    }
    public String getCaseNo() {
        return caseNo;
    }

    public void setCaseNo(String caseNo) {
        this.caseNo = caseNo;
    }
    public String getAmount() {
        return amount;
    }

    public void setAmount(String amount) {
        this.amount = amount;
    }
    public String getJudgeResult() {
        return judgeResult;
    }

    public void setJudgeResult(String judgeResult) {
        this.judgeResult = judgeResult;
    }
    public String getJudgeDate() {
        return judgeDate;
    }

    public void setJudgeDate(String judgeDate) {
        this.judgeDate = judgeDate;
    }
    public String getPublishDate() {
        return publishDate;
    }

    public void setPublishDate(String publishDate) {
        this.publishDate = publishDate;
    }
    public String getPartyName() {
        return partyName;
    }

    public void setPartyName(String partyName) {
        this.partyName = partyName;
    }
    public Integer getPrivateLending() {
        return privateLending;
    }

    public void setPrivateLending(Integer privateLending) {
        this.privateLending = privateLending;
    }

    @Override
    public String toString() {
        return "ProjectOwnerPrivateLending{" +
            "projectAuditId=" + projectAuditId +
            ", cJudgmentDocumentsId=" + cJudgmentDocumentsId +
            ", caseName=" + caseName +
            ", caseReason=" + caseReason +
            ", caseNo=" + caseNo +
            ", amount=" + amount +
            ", judgeResult=" + judgeResult +
            ", judgeDate=" + judgeDate +
            ", publishDate=" + publishDate +
            ", partyName=" + partyName +
            ", privateLending=" + privateLending +
        "}";
    }
}
